/[jscoverage]/trunk/tests/server-unreadable-directory.sh
ViewVC logotype

Contents of /trunk/tests/server-unreadable-directory.sh

Parent Directory Parent Directory | Revision Log Revision Log


Revision 588 - (show annotations)
Thu Sep 16 08:07:35 2010 UTC (8 years, 1 month ago) by siliconforks
File MIME type: application/x-sh
File size: 1509 byte(s)
Fix missing include of common.sh.

1 #!/bin/sh
2 # server-unreadable-directory.sh - test jscoverage-server with unreadable directory
3 # Copyright (C) 2008, 2009, 2010 siliconforks.com
4 #
5 # This program is free software; you can redistribute it and/or modify
6 # it under the terms of the GNU General Public License as published by
7 # the Free Software Foundation; either version 2 of the License, or
8 # (at your option) any later version.
9 #
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY; without even the implied warranty of
12 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
13 # GNU General Public License for more details.
14 #
15 # You should have received a copy of the GNU General Public License along
16 # with this program; if not, write to the Free Software Foundation, Inc.,
17 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
18
19 set -e
20
21 . ./common.sh
22
23 # skip on windows
24 uname=`uname`
25 case "$uname" in
26 CYGWIN* | MINGW*)
27 exit 77
28 ;;
29 esac
30
31 shutdown() {
32 wget -q -O- --post-data= "http://127.0.0.1:${server_port}/jscoverage-shutdown" > /dev/null
33 wait $server_pid
34 }
35
36 cleanup() {
37 rmdir DIR
38 shutdown
39 }
40
41 trap 'cleanup' 0 1 2 3 15
42
43 export PATH=.:..:$PATH
44
45 rm -fr DIR
46 mkdir DIR
47 chmod 000 DIR
48 $VALGRIND jscoverage-server > OUT 2> ERR &
49 server_pid=$!
50 server_port=8080
51
52 wait_for_server http://127.0.0.1:8080/jscoverage.html
53
54 echo 404 > EXPECTED
55 ! curl -f -w '%{http_code}\n' http://127.0.0.1:8080/DIR/ 2> /dev/null > ACTUAL
56 diff EXPECTED ACTUAL

Properties

Name Value
svn:executable *

  ViewVC Help
Powered by ViewVC 1.1.24